Module java.desktop
Package javax.swing.plaf.synth

## Class SynthPasswordFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.synth.SynthTextFieldUI
          - - javax.swing.plaf.synth.SynthPasswordFieldUI

- All Implemented Interfaces:
    `SynthConstants`, `SynthUI`, `ViewFactory`

      public class SynthPasswordFieldUI
      extends SynthTextFieldUI

  Provides the Synth L&F UI delegate for `JPasswordField`.
  Since:
    1.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicTextUI

      `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

  - ### Field Summary

    - ### Fields declared in interface javax.swing.plaf.synth.SynthConstants

      `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynthPasswordFieldUI()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `View` | `create​(Element elem)` | Creates a view (PasswordView) for an element.
    `static ComponentUI` | `createUI​(JComponent c)` | Creates a UI for a JPasswordField.
    `protected String` | `getPropertyPrefix()` | Fetches the name used as a key to look up properties through the UIManager.

    - ### Methods declared in class javax.swing.plaf.synth.SynthTextFieldUI

      `paint, paintBackground, propertyChange, update`

    - ### Methods declared in class javax.swing.plaf.basic.BasicTextFieldUI

      `getBaseline, getBaselineResizeBehavior`

    - ### Methods declared in class javax.swing.plaf.basic.BasicTextUI

      `create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, viewToModel, viewToModel`

    - ### Methods declared in class javax.swing.plaf.TextUI

      `getNextVisualPositionFrom, getToolTipText2D, modelToView2D, viewToModel2D`

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.plaf.synth.SynthUI

      `getContext, paintBorder`

- - ### Constructor Detail

    - #### SynthPasswordFieldUI

          public SynthPasswordFieldUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Creates a UI for a JPasswordField.
      Parameters:
        `c` - the JPasswordField
      Returns:
        the UI

    - #### getPropertyPrefix

          protected String getPropertyPrefix()

      Fetches the name used as a key to look up properties through the UIManager. This is used as a prefix to all the standard text properties.
      Overrides:
        `getPropertyPrefix` in class `BasicTextFieldUI`
      Returns:
        the name ("PasswordField")

    - #### create

          public View create​(Element elem)

      Creates a view (PasswordView) for an element.
      Specified by:
        `create` in interface `ViewFactory`
      Overrides:
        `create` in class `BasicTextFieldUI`
      Parameters:
        `elem` - the element
      Returns:
        the view
      See Also:
        `View`